Bug 972373 - [abrt] deluge-gtk-1.3.6-2.fc18: base.py:577:stop:ReactorNotRunning: Can't stop reactor that isn't running.
[abrt] deluge-gtk-1.3.6-2.fc18: base.py:577:stop:ReactorNotRunning: Can't sto...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:2e48f7079895d842b4a036d1429...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 20:57 EDT by Rusty Rhoton
Modified: 2014-02-05 16:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:44:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (655 bytes, text/plain)
2013-06-08 20:57 EDT, Rusty Rhoton
no flags Details
File: core_backtrace (346 bytes, text/plain)
2013-06-08 20:57 EDT, Rusty Rhoton
no flags Details
File: environ (1.70 KB, text/plain)
2013-06-08 20:57 EDT, Rusty Rhoton
no flags Details

  None (edit)
Description Rusty Rhoton 2013-06-08 20:57:26 EDT
Description of problem:
during install of newer version, older version was active and quit responding...i would recommend an auto close feature or the installer to request to close the older version

Version-Release number of selected component:
deluge-gtk-1.3.6-2.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/deluge-gtk
dso_list:       python-twisted-core-12.1.0-2.fc18.x86_64
executable:     /usr/bin/deluge-gtk
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
base.py:577:stop:ReactorNotRunning: Can't stop reactor that isn't running.

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/gtkui.py", line 182, in on_die
    def on_die(*args):
  File "/usr/lib64/python2.7/site-packages/twisted/internet/_glibbase.py", line 280, in stop
    posixbase.PosixReactorBase.stop(self)
  File "/usr/lib64/python2.7/site-packages/twisted/internet/base.py", line 577, in stop
    "Can't stop reactor that isn't running.")
ReactorNotRunning: Can't stop reactor that isn't running.

Local variables in innermost frame:
self: <twisted.internet.gtk2reactor.Gtk2Reactor object at 0x2680e90>

Potential duplicate: bug 822876
Comment 1 Rusty Rhoton 2013-06-08 20:57:30 EDT
Created attachment 758652 [details]
File: backtrace
Comment 2 Rusty Rhoton 2013-06-08 20:57:32 EDT
Created attachment 758653 [details]
File: core_backtrace
Comment 3 Rusty Rhoton 2013-06-08 20:57:34 EDT
Created attachment 758654 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 08:55:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:44:08 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.